Web lists-archives.com

Re: How is libgssapi_krb5_2 built on cygwin?




On 2018-04-04 17:13, Weijun Wang wrote:
> I am thinking about building MIT krb5 on Windows with cygwin but using the 
> source distribution from MIT [1] shows this error:
>   configure: error: Shared libraries are not yet supported on this platform.
> I'd like to know how cygwin compiles the libgssapi_krb5_2 packgae. Do you
> have a patch I can apply?
> [1] https://web.mit.edu/KERBEROS/dist/index.html

Cygwin supplies a number of ...krb5... packages from MIT reference sources.
Search packages from the link on the Cygwin home page e.g.
https://cygwin.com/cgi-bin2/package-grep.cgi?grep=krb5&arch=x86_64
which looks like there is only one krb5 source package krb5-1.15.2-2-src
viewable as:
https://cygwin.com/cgi-bin2/package-cat.cgi?file=x86_64%2Fkrb5%2Fkrb5-1.15.2-2-src&grep=krb5
which shows a number of patches, including Cygwin specific patches, and another
source package for krb5-auth-dialog.

Almost all Cygwin packages now use cygport for building (and packaging).
Download the krb5 source package, have a look at it, and how the packages are
built from the .cygport file.
Install the cygport package, maybe libkrb5-devel and sources, try a build, then
look at adapting that package build for your sources, if different.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple